   DIM iG

   DIM jG
   DIM CodeG

   '----- LOOP 1
   FOR iG = 0 TO 15

      '----- LOOP 2
      FOR jG = 0 TO 15
         CodeG = iG * 16 + jG

         '----- Print char  ( Ignoring problem chars )
         IF (CodeG = 0) OR (CodeG = 7) OR (CodeG = 9) OR (CodeG = 10) OR (CodeG = 11) OR (CodeG = 12) OR (CodeG = 13) OR (CodeG = 29) OR (CodeG = 30) OR (CodeG = 31) THEN
            PRINT "-";
         ELSE
            PRINT CHR$(CodeG);
         END IF
      NEXT

      PRINT
   NEXT
